<template>
  <div>
    <slot></slot>
  </div>
</template>

<script setup lang="ts">
import { ref, watch, provide } from 'vue'

interface TabsProps {
  defaultValue: string
}

const props = defineProps<TabsProps>()

const activeTab = ref(props.defaultValue)

const changeTab = (value: string) => {
  activeTab.value = value
}

provide('activeTab', activeTab)
provide('changeTab', changeTab)
</script>
